Subject: Re: bug#43251: 27.1; DBus signals error when GetManagedObjects received while waiting for dbus-call-method

From: Michael Albinus <[email-masked]>
Date: Mon, 07 Sep 2020 09:28:42 +0200

Hugh Daschbach <[email-masked]> writes:

Hi Hugh,

> After exporting a property on an interface, that property will be
> described, correctly, when a GetManagedObjects request is received from
> another program in the system.
>
> But if that GetManagedObjects method call is received while a
> dbus-call-method request is waiting for a reply message, processing the
> GetManagedObjects request signals an error.

Thanks, I will investigate.

(And I shall extend dbus-tests.el for more use cases. I've started
already last days in the master branch.)

> Thanks,
> Hugh

Best regards, Michael.